<?php
error_reporting(0);
set_time_limit(0);

function parse($id,$ids,$razdel,$pgs)
{


		  //$links = 0;


         $page_start = 1;
		// if($page_start < 0) $page_start = 0;
		 //$page_finish = $_POST['page_finish'];


	   $page_finish = 550;
	 for($i = $page_start; $i <= $page_finish; $i++) {
			//$page = get_page('http://gallery.mobile9.com/c/screensavers/'.$i.'/?fi='.$ids.'&ff=off');
			$page = get_page('http://love.getwap.ru/online.php?icq=2c02192524d752fecf5ca326c5ca4736&4627&n='.$i.'');
			//print $page;

		 	$page_body = explode('<br/>Страница', $page);
			$page_body = explode('<a accesskey="6"', $page_body[1]);
			$page_body = explode('-------<br/>', $page_body[0]);
			$page_body = $page_body[0];

			$strings = explode('</a><br/>', $page_body);

			# Получаем ссылки на страницы для скачки
	          for($b = 0; $b < count($strings); $b++){

	        		#print $strings[$b];
	           		//preg_match('#<h3><a href="(.*?)">#', $strings[$b], $url);
					//preg_match('#<img src="(.*?)" alt="#', $strings[$b], $screen);
					preg_match('#in=(.*?)&amp;on#', $strings[$b], $id);
				$id=$id[1];
				$id = ereg_replace('&', '',$id);
					preg_match('#icq=(.*?)&amp;in#', $strings[$b], $ses);
					$ses=$ses[1];
					echo $id.'</br>';
					//echo $ses.'</br>';
					//preg_match('#in=(.*?)on#', $link[1], $id);
//preg_match('#<br><span><a href="(.*?)">#', $page, $link);
post_msg(''.$ses.'',''.$id.'');
echo '<br/>i:'.$is++;
}
	  }}
	  parse(1);
function get_page($url) {
	#print $url;

    $context = stream_context_create(array(
		'http' => array(
		'method' => 'GET',
		'header' => 'User-Agent: Mozilla/5.0 (SymbianOS/9.2; U; Series60/3.1 NokiaN95_8GB/15.0.015; Profile/MIDP-2.0 Configuration/CLDC-1.1 ) AppleWebKit/413 (KHTML, like Gecko) Safari/413' . PHP_EOL,
		'content' => '',
		),)
	);

    $result = file_get_contents($url, 0, $context);

	return $result;
}

function post_msg($ses,$id) {
if($id == 2976974 or $id == 4419635 or $id == 970 or $id == 2953053 or $id == 5000000){echo'<font color=\'#FF0000\'>Модер</font>';}
else{
$data = array('msg34333' => "Привет", 'add3434' => ''.$id.'', 'to' => ''.$id.'', 'msg' => 'Привет, не злись приглашаю посетить социальную сеть soclive . r u молодёж вся у нас!! просто зайди посмотри тебе понравится у нас присутсвуют многие знаменитости, много позитивных людей регистрируйся и ты ! много розвлечений игры дуэли гаремы,подарки,онлайн игры так же загрузки на любой вкус от Эротики до... вообщем заходи к нам адрес soclive . r u или напиши в гугле soclive и перейди по первой ссылке!', 'add' =>'$(add5665)');
//$url = "http://login.vk.com/?act=login";
$c = curl_init();

curl_setopt($c, CURLOPT_URL, 'http://love.getwap.ru/contacts.php?icq='.$ses);

curl_setopt($c, CURLOPT_POST, 1);

curl_setopt($c, CURLOPT_POSTFIELDS, $data);

curl_setopt($c, CURLOPT_USERAGENT, 'Opera/9.80 (Windows NT 5.1; U; ru) Presto/2.6.30 Version/10.62');

curl_setopt($c, CURLOPT_ENCODING, 'gzip, deflate');

curl_setopt($c, CURLOPT_FAILONERROR, 1);

curl_setopt($c, CURLOPT_FOLLOWLOCATION, 1);

curl_setopt($c, CURLOPT_HEADER, 0);

//curl_setopt($c, CURLOPT_PROXY, "184.72.254.238:80");

curl_setopt($c, CURLOPT_TIMEOUT, 60);

curl_setopt($c, CURLOPT_RETURNTRANSFER, 1);

$result = curl_exec($c);

echo $result.'ok';
}
}

?>